Vulnerability CVE-2020-21050


Published: 2021-09-14

Description:
Libsixel prior to v1.8.3 contains a stack buffer overflow in the function gif_process_raster at fromgif.c.

 References:
https://github.com/saitoha/libsixel/issues/75
https://github.com/saitoha/libsixel/releases/tag/v1.8.5
https://github.com/saitoha/libsixel/blob/master/ChangeLog
https://github.com/saitoha/libsixel/commit/7808a06b88c11dbc502318cdd51fa374f8cd47ee
https://bitbucket.org/netbsd/pkgsrc/commits/a27113e21179cbfbfae0c35f6a9edd6aa498faae

Copyright 2021, cxsecurity.com

 

Back to Top